> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 토큰 - 메타데이터

> 토큰 메타데이터 조회



## OpenAPI

````yaml /ko/api-reference/openapi-data-ko.yaml GET /v2/token/{chain}/{tokenAddress}/metadata
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 블록체인 관련 작업
  - name: Token
    description: 토큰 관련 작업
  - name: Trade
    description: 거래 관련 작업
  - name: Wallet
    description: 지갑 관련 작업
  - name: Dex
    description: DEX 관련 작업
  - name: Ranking
    description: 랭킹 관련 작업
  - name: DexPool
    description: DEX 풀 관련 작업
  - name: Watchlist
    description: 워치리스트 관련 작업
  - name: KYT
    description: KYT 관련 작업
  - name: Webhook
    description: Webhook 관련 작업
  - name: RedPacket
    description: 레드패킷 관련 작업
  - name: IPFS
    description: IPFS 관련 작업
  - name: DexScreener
    description: DexScreener 관련 작업
paths:
  /v2/token/{chain}/{tokenAddress}/metadata:
    get:
      tags:
        - Token
      summary: 토큰 - 메타데이터
      description: 토큰 메타데이터 조회
      operationId: get.metadata
      parameters:
        - name: chain
          in: path
          description: 지원되는 네트워크에 나열된 체인 이름
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: 토큰 주소
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
      responses:
        '200':
          description: 메타데이터 조회
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenMetadata'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenMetadata:
      type: object
      description: Token metadata
      required:
        - address
        - chain
        - symbol
        - name
        - decimals
      properties:
        address:
          type: string
          description: 토큰 컨트랙트 주소
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        chain:
          type: string
          description: 블록체인 네트워크 식별자
          example: sol
        coingeckoCoinId:
          type:
            - string
            - 'null'
          description: CoinGecko 코인 식별자
          example: usd-coin
        decimals:
          type: string
          description: 소수점 자릿수
          example: '9'
        description:
          type:
            - string
            - 'null'
          description: 토큰 설명
          example: USDC is a stablecoin pegged to the US dollar
        devLastTokenCreatedAt:
          type:
            - string
            - 'null'
          description: 개발자의 마지막 토큰 생성 타임스탬프
          example: '2025-12-03T09:23:34.000Z'
        devTotalTokens:
          type:
            - string
            - 'null'
          description: 개발자가 생성한 총 토큰 수
          example: '163'
        extra:
          $ref: '#/components/schemas/TokenExtra'
          description: 확장 토큰 메타데이터
        firstTradeAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 첫 거래 타임스탬프
          example: 1714857600000
        imageUrl:
          type:
            - string
            - 'null'
          description: 토큰 로고 이미지 URL
          example: >-
            https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
        metadataAddress:
          type:
            - string
            - 'null'
          description: 온체인 메타데이터 계정 주소
          example: metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s
        name:
          type: string
          description: 토큰 표시 이름
          example: USD Coin
        socialMedias:
          $ref: '#/components/schemas/TokenSocialMedias'
          description: 토큰 소셜 미디어 링크
        symbol:
          type: string
          description: 토큰 티커 심볼
          example: USDC
        tokenCreatedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 토큰 생성 타임스탬프 (밀리초)
          example: 1710417600000
        tokenCreatedBlockHeight:
          type:
            - string
            - 'null'
          description: 토큰이 생성된 블록 높이
          example: '220000000'
        tokenCreatedSlot:
          type:
            - string
            - 'null'
          description: 토큰이 생성된 슬롯 번호
          example: '230000000'
        tokenCreatedTxSignature:
          type:
            - string
            - 'null'
          description: 토큰 생성 트랜잭션 서명
          example: 5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz...
        tokenCreators:
          type: array
          items:
            $ref: '#/components/schemas/TokenCreator'
          description: 토큰 생성자 목록
        translations:
          $ref: '#/components/schemas/TokenTranslations'
          description: 이름/심볼 현지화 번역
        updatedAt:
          type:
            - string
            - 'null'
          description: 마지막 업데이트 타임스탬프
          example: '2026-02-09T08:05:12.345Z'
        uri:
          type:
            - string
            - 'null'
          description: 토큰 메타데이터 URI
          example: https://arweave.net/abc123
    TokenExtra:
      type: object
      description: Token extra metadata
      properties:
        collectionAddress:
          type:
            - string
            - 'null'
          description: NFT 컬렉션 주소
          example: ABCDE
        dexscreenerAd:
          type:
            - boolean
            - 'null'
          description: 토큰에 활성 DexScreener 광고가 있는지 여부
        dexscreenerAdAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 광고 타임스탬프
        dexscreenerBannerUrl:
          type:
            - string
            - 'null'
          description: DexScreener banner image URL
        dexscreenerBoostAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 부스트 타임스탬프
        dexscreenerBoostFeeInUsd:
          type:
            - string
            - 'null'
          description: DexScreener 부스트 비용(USD)
        dexscreenerTrendingBar:
          type:
            - boolean
            - 'null'
          description: 토큰이 DexScreener 트렌딩 바에 표시되는지 여부
        dexscreenerTrendingBarAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 트렌딩 바 표시 타임스탬프
        dexscreenerUpdateLink:
          type:
            - boolean
            - 'null'
          description: 토큰 프로필 링크가 DexScreener에서 업데이트되었는지 여부
        dexscreenerUpdateLinkAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 링크 업데이트 타임스탬프
        editionNonce:
          type:
            - integer
            - 'null'
          format: int64
          description: 에디션 논스 값
          example: 1
        freezeAuthority:
          type:
            - string
            - 'null'
          description: 동결 권한 주소
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        fungible:
          type:
            - boolean
            - 'null'
          description: 대체 가능 토큰 여부
          example: true
        isMutable:
          type:
            - boolean
            - 'null'
          description: 메타데이터 변경 가능 여부
          example: true
        isNative:
          type:
            - boolean
            - 'null'
          description: '네이티브 토큰 여부 (예: SOL)'
          example: false
        isVerifiedCollection:
          type:
            - boolean
            - 'null'
          description: 검증된 컬렉션 여부
          example: true
        isWrapped:
          type:
            - boolean
            - 'null'
          description: 래핑된 토큰 여부
          example: false
        key:
          type:
            - string
            - 'null'
          description: Metaplex 계정 키 유형
          example: Mint
        launchFromProgramAddress:
          type:
            - string
            - 'null'
          description: 런치 플랫폼 프로그램 주소
          example: 6EF8rrecthR5Dkzon8Nwu78hRvfCKubJ14M5uBEwF6P
        launchFromProtocolFamily:
          type:
            - string
            - 'null'
          description: 런치 플랫폼 프로토콜 패밀리
          example: pumpfun
        launchQuoteTokenAddress:
          type:
            - string
            - 'null'
          description: 론칭 시 사용된 견적 토큰 주소
        migratedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 마이그레이션 타임스탬프 (밀리초)
          example: 1714857600000
        migratedToPoolAddress:
          type:
            - string
            - 'null'
          description: 마이그레이션 대상 풀 주소
          example: 7AvUMqLBou5EAXzyhnizWmPU13u2VguJoBYdcX4bhJtQ
        migratedToProgramAddress:
          type:
            - string
            - 'null'
          description: 마이그레이션 대상 프로그램 주소
          example: pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA
        migratedToProtocolFamily:
          type:
            - string
            - 'null'
          description: 마이그레이션 대상 프로토콜 패밀리
          example: Raydium
        mintAuthority:
          type:
            - string
            - 'null'
          description: Mint 권한 주소
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        primarySaleHappened:
          type:
            - boolean
            - 'null'
          description: 1차 판매 완료 여부
          example: false
        programAddress:
          type:
            - string
            - 'null'
          description: 토큰 프로그램 주소
          example: TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA
        sellerFeeBasisPoints:
          type:
            - integer
            - 'null'
          format: int64
          description: 판매자 수수료 (베이시스 포인트)
          example: 100
        tokenStandard:
          type:
            - string
            - 'null'
          description: '토큰 표준 (예: Fungible)'
          example: Fungible
        updateAuthority:
          type:
            - string
            - 'null'
          description: 업데이트 권한 주소
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
    TokenSocialMedias:
      type: object
      description: Token social media links
      properties:
        bitbucket:
          type:
            - string
            - 'null'
          description: Bitbucket 리포지토리 URL
          example: https://bitbucket.org/circle
        discord:
          type:
            - string
            - 'null'
          description: Discord 서버 URL
          example: https://discord.gg/circle
        facebook:
          type:
            - string
            - 'null'
          description: Facebook 페이지 URL
          example: https://facebook.com/circle
        farcaster:
          type:
            - string
            - 'null'
          description: Farcaster 핸들 또는 URL
          example: https://warpcast.com/vitalik
        github:
          type:
            - string
            - 'null'
          description: GitHub 리포지토리 URL
          example: https://github.com/circle
        instagram:
          type:
            - string
            - 'null'
          description: Instagram 핸들
          example: '@circle'
        linkedin:
          type:
            - string
            - 'null'
          description: LinkedIn 페이지 URL
          example: https://linkedin.com/company/circle
        medium:
          type:
            - string
            - 'null'
          description: Medium 블로그 URL
          example: https://medium.com/@circle
        reddit:
          type:
            - string
            - 'null'
          description: Reddit 커뮤니티 URL
          example: https://reddit.com/r/circle
        telegram:
          type:
            - string
            - 'null'
          description: Telegram 그룹 URL
          example: https://t.me/circle
        tiktok:
          type:
            - string
            - 'null'
          description: TikTok 핸들
          example: '@circle'
        twitter:
          type:
            - string
            - 'null'
          description: Twitter 핸들 또는 URL
          example: '@circle'
        website:
          type:
            - string
            - 'null'
          description: 공식 웹사이트 URL
          example: https://www.circle.com
        youtube:
          type:
            - string
            - 'null'
          description: YouTube 채널 URL
          example: https://youtube.com/@circle
    TokenCreator:
      type: object
      description: Token creator info
      properties:
        address:
          type:
            - string
            - 'null'
          description: 생성자 지갑 주소
          example: 5e2qRc1DNEXmyxP8qwPwJhRWjef7usLyi7v5xjqLr5G7
        isVerified:
          type:
            - boolean
            - 'null'
          description: 생성자 검증 여부
          example: true
        share:
          type:
            - integer
            - 'null'
          format: int64
          description: 생성자 수익 배분 비율
          example: 100
    TokenTranslations:
      type: object
      description: |-
        Token translations for multi-locale display (e.g. Chinese markets).
        Sourced from CoinGecko `/coins/{id}` localization or community data.
      properties:
        nameZhcn:
          type:
            - string
            - 'null'
        symbolZhcn:
          type:
            - string
            - 'null'
        transName:
          type:
            - string
            - 'null'
        transSymbol:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````